Skip to main content
POST
/
routing-deposit-addresses
Create new routing deposit address
curl --request POST \
  --url https://api.rhino.fi/sda/routing-deposit-addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "depositChains": [
    "<string>"
  ],
  "routes": [
    {
      "action": {
        "destinationChain": "<string>",
        "destinationAddress": "<string>",
        "_tag": "bridge"
      },
      "matcher": {
        "symbolsOrAddresses": [
          "<string>"
        ],
        "_tag": "sentToken"
      },
      "priority": 1
    }
  ],
  "addressNote": "<string>",
  "reusePolicy": "create-new",
  "webhookUrl": "<string>",
  "refundAddress": "<string>"
}
'
[
  {
    "depositChain": "<string>",
    "depositAddress": "<string>",
    "routes": [
      {
        "action": {
          "destinationChain": "<string>",
          "destinationAddress": "<string>",
          "_tag": "bridge"
        },
        "matcher": {
          "symbolsOrAddresses": [
            "<string>"
          ],
          "_tag": "sentToken"
        },
        "priority": 1
      }
    ],
    "addressNote": "<string>",
    "refundAddress": "<string>",
    "webhookUrl": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT token for authentication

Body

application/json
depositChains
string[]
required

Array of blockchain chain identifiers where deposit addresses should be created (e.g., ["ETHEREUM", "ARBITRUM"]).

Minimum array length: 1

a non empty string

Minimum string length: 1
routes
object[]
required
Minimum array length: 1
addressNote
string

Optional note or label for the deposit address (max 80 characters).

Maximum string length: 80
reusePolicy
enum<string>

Whether to reuse an existing deposit address that matches the given parameters or always create a new one. By default an existing address is reused unless create-new is specified.

Available options:
create-new,
reuse-existing
webhookUrl
string

Optional URL for webhook notifications when deposits are processed.

Minimum string length: 1
refundAddress
string

Optional address for refunds in case of processing failures.

Minimum string length: 1

Response

Success

depositChain
string
required

a non empty string

Minimum string length: 1
depositAddress
string
required

a non empty string

Minimum string length: 1
routes
object[]
required
Minimum array length: 1
addressNote
string

a string at most 80 character(s) long

Maximum string length: 80
refundAddress
string

a non empty string

Minimum string length: 1
webhookUrl
string

a non empty string

Minimum string length: 1